# Uses of Interface
org.opensaml.saml.saml2.metadata.OrganizationURL

Packages that use OrganizationURL
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of OrganizationURL in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type OrganizationURL
Modifier and Type
Method
Description
`List<OrganizationURL>`
Organization.`getURLs()`
Gets a list of URLs for this organization.

## Uses of OrganizationURL in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement OrganizationURL
Modifier and Type
Class
Description
`class`
`OrganizationURLImpl`
Concrete implementation of `OrganizationURL`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type OrganizationURL
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<OrganizationURL>`
OrganizationImpl.`urls`
OrganizationURL children.
Methods in org.opensaml.saml.saml2.metadata.impl that return OrganizationURL
Modifier and Type
Method
Description
`OrganizationURL`
OrganizationURLBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`OrganizationURL`
OrganizationURLBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type OrganizationURL
Modifier and Type
Method
Description
`List<OrganizationURL>`
OrganizationImpl.`getURLs()`
Gets a list of URLs for this organization.